From 29e52e6fce29c0d2e9b2150586e1940dc6c7b320 Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Fri, 21 Jan 2022 07:43:23 +0300
Subject: [PATCH 54/59] Revert "HACK: AlpineApkResource: Workaround broken
 Alpine metadata"

This reverts commit e0a968f536bcc993cd6cf81c00a99f98fd1474b0.

I have a hope that this is no longer needed with new metadata.
---
 .../AlpineApkBackend/AlpineApkResource.cpp       | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
index d7ac49012..459347061 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
@@ -220,21 +220,7 @@ void AlpineApkResource::fetchChangelog()
 void AlpineApkResource::fetchScreenshots()
 {
     if (hasAppStreamData()) {
-        /*const*/ QPair<QList<QUrl>, QList<QUrl>> sc = AppStreamUtils::fetchScreenshots(m_appsC);
-        if (sc.first.size() > 0) {
-            const QUrl &url = sc.first.first();
-            if (url.isRelative()) {
-                // This is a hack to fix broken Alpine Linux appstream
-                // metadata: somehow generated thumbnails URLs are relative
-                // and always fail to load (not present in metadata at all)
-                // We work around this by using full url, which is veyr not
-                // good - they're fetched by http://...
-                // It would be great if thumbnails were hosted locally.
-                if (sc.second.size() > 0) {
-                    sc.first = sc.second;
-                }
-            }
-        }
+        const QPair<QList<QUrl>, QList<QUrl> > sc = AppStreamUtils::fetchScreenshots(m_appsC);
         Q_EMIT screenshotsFetched(sc.first, sc.second);
     }
 }
-- 
GitLab


